Validate Storage Settings
curl --request POST \
--url https://config.heyhumm.ai/api/organization/{organization_id}/storage-setting/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_storage_credential_mode": "static_keys",
"customer_s3_bucket": "<string>",
"customer_s3_region": "<string>",
"customer_aws_access_key_id": "<string>",
"customer_aws_secret_access_key": "<string>",
"customer_iam_role_arn": "<string>"
}
'import requests
url = "https://config.heyhumm.ai/api/organization/{organization_id}/storage-setting/validate"
payload = {
"customer_storage_credential_mode": "static_keys",
"customer_s3_bucket": "<string>",
"customer_s3_region": "<string>",
"customer_aws_access_key_id": "<string>",
"customer_aws_secret_access_key": "<string>",
"customer_iam_role_arn": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_storage_credential_mode: 'static_keys',
customer_s3_bucket: '<string>',
customer_s3_region: '<string>',
customer_aws_access_key_id: '<string>',
customer_aws_secret_access_key: '<string>',
customer_iam_role_arn: '<string>'
})
};
fetch('https://config.heyhumm.ai/api/organization/{organization_id}/storage-setting/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Validate Storage Settings
POST
/
api
/
organization
/
{organization_id}
/
storage-setting
/
validate
Validate Storage Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Model for updating organization data storage configuration.
Where synced integration data is stored.
Available options:
humm_hosted, customer_hosted How Humm authenticates to customer-hosted storage.
Available options:
static_keys, iam_role Response
Successful Response
⌘I